<!-- markdownlint-disable first-line-heading no-inline-html -->
## Examples

### Basic date input

::: demo
<template>
    <FenceInputDate />
</template>
:::

### Using v-model

::: demo
<template>
    <div>
        <FenceInputDate
            v-model="value"
        />
        <br>
        <b>Selected Date: </b> {{ value }}
    </div>
</template>

<script>
export default {
    data() {
        return {
            value: new Date(),
        };
    },
};
</script>
:::

### Using V-Calendar props

In this case, we will use `mode="range"`, enabling date range selection.

::: demo
<template>
    <div>
        <FenceInputDate
            v-model="value"
            mode="range"
        />
        <br>
        <b>Selected Range: </b> {{ value }}
    </div>
</template>

<script>
export default {
    data() {
        return {
            value: null,
        };
    },
};
</script>
:::
