export default { title: 'FenceModal' };

export const simpleModal = () => ({
    data() {
        return {
            displayModal: false,
        };
    },
    methods: {
        toggleModal() {
            this.displayModal = !this.displayModal;
        },
    },
    template: `
        <div>
            <FenceButton
                label="Click here to test!"
                size="sm"
                @click="toggleModal"
            />
            <FenceModal
                v-show="displayModal"
                @close="toggleModal"
            >
                <template #header>
                    This is an example of Modal header.
                </template>
                <template #body>
                    This is an example of Modal body.
                </template>
                <template #footer>
                    This is an example of Modal footer.
                </template>
            </FenceModal>
        </div>
    `,
});
