<!-- markdownlint-disable first-line-heading no-inline-html -->
## Examples

### Basic usage of FenceModalConfirmation

::: demo
<template>
    <div>
        <FenceButton
            label="Click here to test!"
            size="sm"
            @click="toggleModal"
        />
        <FenceModalConfirmation
            v-show="displayModal"
            @close="toggleModal"
            @confirm="confirm"
        >
            <template #header>
                This is an example of Modal header.
            </template>
            <template #body>
                This is an example of Modal body.
            </template>
        </FenceModalConfirmation>
    </div>
</template>

<script>
export default {
    data() {
        return {
            displayModal: false,
        };
    },
    methods: {
        toggleModal() {
            this.displayModal = !this.displayModal;
        },
        confirm() {
            this.toggleModal();
            alert("You have confirmed!");
        },
    },
};
</script>
:::
