export default { title: 'FenceModalConfirmation' };

export const confirmationModal = () => ({
    data() {
        return {
            displayModal: false,
        };
    },
    methods: {
        toggleModal() {
            this.displayModal = !this.displayModal;
        },
        confirm() {
            this.toggleModal();
            alert('You have confirmed!');
        },
    },
    template: `
        <div>
            <FenceButton
                label="Click here to test!"
                size="sm"
                @click="toggleModal"
            />
            <FenceModalConfirmation
                v-show="displayModal"
                @close="toggleModal"
                @confirm="confirm"
            >
                <template #header>
                    This is an example of Modal header.
                </template>
                <template #body>
                    This is an example of Modal body.
                </template>
            </FenceModalConfirmation>
        </div>
    `,
});
