import * as components from './components';

/**
 * Export independent components
 *
 * Usage example on you CustomComponent.vue on your application:
 * ```js
 * import { FenceIcon } from 'fence-vue';
 * ```
 */
export * from './components';

// Export the library as a plugin
const FenceVuePlugin = {
    install(Vue) {
        Object.keys(components).forEach((name) => {
            Vue.component(name, components[name]);
        });
    },
};

export default FenceVuePlugin;

if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use(FenceVuePlugin);
}
