export const treeConfigurable = {
    props: {
        focusConfig: {
            type: Boolean,
            required: true,
        },
        fadeConfig: {
            type: Boolean,
            required: true,
        },
        childrenIndicatorConfig: {
            type: Boolean,
            default: true,
        },
        linkIndicatorConfig: {
            type: Boolean,
            default: true,
        },
    },
};

export const treeItemConfigurable = {
    props: {
        title: {
            type: String,
            required: true,
        },
        prefix: {
            type: String,
            default: null,
        },
        isExpanded: {
            type: Boolean,
            required: true,
        },
        isFocused: {
            type: Boolean,
            required: true,
        },
        isFaded: {
            type: Boolean,
            required: true,
        },
    },
};

export const treeRootConfigurable = {
    props: {
        mapper: {
            type: Object,
            default: null,
        },
        routeGetter: {
            type: Function,
            default: null,
        },
    },
};

export const linkConfigurable = {
    props: {
        icon: {
            type: Boolean,
            default: true,
        },
        iconBefore: {
            type: Boolean,
            default: true,
        },
        underline: {
            type: Boolean,
            default: true,
        },
    },
};
