import { mapMutations } from 'vuex';

export default {
    methods: {
        ...mapMutations('fence/document', {
            updateDocumentTitle: 'updateTitle',
            setDocumentTitleSuffix: 'setTitleSuffix',
        }),
        updateSuffix() {
            if (this.documentTitleSuffix) {
                this.setDocumentTitleSuffix(this.documentTitleSuffix);
                this.updateDocumentTitle();
            }
        },
    },
    created() {
        this.updateSuffix();
    },
    activated() {
        this.updateSuffix();
    },
    watch: {
        documentTitleSuffix() {
            this.updateSuffix();
        },
    },
};
