export const configuration = {
    props: {
        config: {
            type: Object,
            default: () => this.defaultConfig,
        },
    },
    computed: {
        configuration() {
            return {
                ...this.defaultConfig,
                ...this.config,
            };
        },
    },
};

export const valueProcessing = {
    created() {
        if (!this.value) return;

        this.processValue();
    },
    methods: {
        updateValue(value) {
            return this.$emit('input', value);
        },
        processValue() {
            this.updateValue(this.processedValue);
        },
    },
};

export const validationProps = {
    props: {
        isValidated: {
            type: Boolean,
            default: false,
        },
        isInvalid: {
            type: Boolean,
            default: false,
        },
    },
};

export const validationClasses = {
    computed: {
        validationClasses() {
            return {
                'is-valid': this.isValidated && !this.isInvalid,
                'is-invalid': this.isValidated && this.isInvalid,
            };
        },
    },
};

export default {
    mixins: [
        configuration,
        valueProcessing,
        validationProps,
        validationClasses,
    ],
};
