import { isString, isNull } from '../assets/utils/typeChecks';
import routed from './routed';

const blankTarget = '_blank';

export default {
    mixins: [
        routed,
    ],
    props: {
        targetBlank: {
            type: Boolean,
            default: null,
        },
    },
    computed: {
        linkWrapperElement() {
            if (isString(this.route)) return 'a';

            return 'RouterLink';
        },
        linkWrapperProps() {
            const propsMapper = {
                a: this.anchorProps,
                RouterLink: this.routerProps,
            };

            return propsMapper[this.linkWrapperElement];
        },
        routerProps() {
            return {
                to: this.route,
                target: this.target(''),
            };
        },
        anchorProps() {
            return {
                href: this.route,
                target: this.target(blankTarget),
            };
        },
    },
    methods: {
        target(defaultTarget) {
            const { targetBlank } = this;
            const configuredTarget = targetBlank ? blankTarget : '';

            return isNull(targetBlank) ? defaultTarget : configuredTarget;
        },
    },
};
