import { mapMutations } from 'vuex';

export default {
    methods: {
        ...mapMutations('fence/user', {
            setUser: 'setUser',
        }),
        updateUser() {
            if (this.user) {
                this.setUser(this.user);
            }
        },
    },
    data() {
        return {
            user: null,
        };
    },
    created() {
        this.updateUser();
    },
    activated() {
        this.updateUser();
    },
    watch: {
        user() {
            this.updateUser();
        },
    },
};
