const state = {
    pendingRequestsCount: 0,
    // TODO: Implement error handler (show modal)
    // when there's an error here
    error: null,
};

const getters = {
    waitingForResponse: state => state.pendingRequestsCount > 0,
};

const mutations = {
    waitForResponse(state) {
        state.pendingRequestsCount += 1;
    },
    receiveResponse(state) {
        if (state.pendingRequestsCount === 0) return;

        state.pendingRequestsCount -= 1;
    },
    setError(state, error) {
        state.error = error;
    },
    resetError(state) {
        state.error = null;
    },
};

export default {
    namespaced: true,
    state,
    mutations,
    getters,
};
